Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JBOClass

`java.lang.Object
oracle.jbo.common.JBOClass`

public class JBOClass
extends java.lang.Object

Since:
  JDeveloper 3.1

Field Summary
`static java.lang.Object[][]` | `nativeTypesArr`

Method Summary
`static java.lang.Class` | `findCustomClass(java.lang.String className, java.lang.Class baseClass)`
`static java.lang.Class` | `findDataClass(java.lang.String className)`
`static java.lang.Class` | `forName(java.lang.String className)`
`static java.lang.ClassLoader` | `getCurrentClassLoader()`
`static java.lang.Class` | `getObjectClass(java.lang.Class cls)`
`static java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`static java.io.InputStream` | `loadResource(java.lang.String name)`
`static java.util.ResourceBundle` | `loadResourceBundle(java.lang.String bundle, java.util.Locale l)`
`static java.lang.Object` | `newInstance(java.lang.Class cls)`
`static java.lang.Object` | `newInstance(java.lang.String clzName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nativeTypesArr

    public static java.lang.Object[][] nativeTypesArr

Method Detail

### getResourceAsStream

    public static java.io.InputStream getResourceAsStream(java.lang.String name)

### loadResource

    public static java.io.InputStream loadResource(java.lang.String name)
                                            throws JboException

  Throws:
    `JboException`

### forName

    public static java.lang.Class forName(java.lang.String className)
                                   throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### findCustomClass

    public static java.lang.Class findCustomClass(java.lang.String className,
                                                  java.lang.Class baseClass)

### findDataClass

    public static java.lang.Class findDataClass(java.lang.String className)

### newInstance

    public static java.lang.Object newInstance(java.lang.Class cls)

### newInstance

    public static java.lang.Object newInstance(java.lang.String clzName)

### getObjectClass

    public static java.lang.Class getObjectClass(java.lang.Class cls)

### loadResourceBundle

    public static java.util.ResourceBundle loadResourceBundle(java.lang.String bundle,
                                                              java.util.Locale l)
                                                       throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

### getCurrentClassLoader

    public static java.lang.ClassLoader getCurrentClassLoader()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.